Bug 1296387 - Build for mpich, drop requires environment-modules
Summary: Build for mpich, drop requires environment-modules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: MUMPS
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-07 03:55 UTC by Orion Poplawski
Modified: 2016-01-24 01:59 UTC (History)
0 users

Fixed In Version: MUMPS-5.0.1-10.fc23 MUMPS-5.0.1-10.el7 MUMPS-5.0.1-10.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-17 17:51:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2016-01-07 03:55:13 UTC
Description of problem:

Since MUMPS itself does not provide an environment module file, it should not require environment-modules.  The mpi implementation will bring it in.

MUMPS should also be built with mpich.

Also, as of F23, mpi requires are generated automatically, so Requires: openmpi (or mpich)  is not necessary).

Version-Release number of selected component (if applicable):
5.0.1-8

Comment 1 Antonio T. (sagitter) 2016-01-07 22:10:42 UTC
MUMPS rebuilt in rawhide including mpich libraries.

Comment 2 Orion Poplawski 2016-01-08 04:14:50 UTC
Great.  Some questions:

- Why no mpich builds on rhel?
- Why different mpi* flags for fedora and rhel?

Answers to these should go into the spec file as well.

Comment 3 Antonio T. (sagitter) 2016-01-08 13:45:23 UTC
(In reply to Orion Poplawski from comment #2)
> Great.  Some questions:
> 
> - Why no mpich builds on rhel?

I thought mpich libraries were not in rhel.

> - Why different mpi* flags for fedora and rhel?

rhel6 still provides openmpi-1.8.1 (instead of 1.10 on fedora 24 and 1.8.8 on fedora 23); for example, 'libmpi_usempif08' is not in openmpi-1.8.1, but it is in openmpi-1.8.8

$ pkg-config --libs ompi-fort
-L/usr/lib64/openmpi/lib -Wl,-rpath -Wl,/usr/lib64/openmpi/lib -Wl,--enable-new-dtags -lmpi_usempif08 -lmpi_usempi_ignore_tkr -lmpi_mpifh -lmpi 

Also, openmpi-1.8.1 in rhel6 does not provide any pkgconfig files.

Comment 4 Fedora Update System 2016-01-08 18:53:04 UTC
MUMPS-5.0.1-10.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e8d63d5fb9

Comment 5 Fedora Update System 2016-01-08 18:53:04 UTC
MUMPS-5.0.1-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-efc5150750

Comment 6 Fedora Update System 2016-01-08 18:53:08 UTC
MUMPS-5.0.1-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-671f397550

Comment 7 Fedora Update System 2016-01-09 17:48:18 UTC
MUMPS-5.0.1-10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e8d63d5fb9

Comment 8 Fedora Update System 2016-01-09 17:51:36 UTC
MUMPS-5.0.1-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-671f397550

Comment 9 Fedora Update System 2016-01-09 18:21:16 UTC
MUMPS-5.0.1-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-efc5150750

Comment 10 Fedora Update System 2016-01-17 17:51:34 UTC
MUMPS-5.0.1-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-01-24 01:05:38 UTC
MUMPS-5.0.1-10.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-01-24 01:59:23 UTC
MUMPS-5.0.1-10.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.